<?php
class cCatalogo{
	function filtrar($nom,$codbar,$est,$limit)
	{
		$sql="SELECT * 
		FROM tb_producto p
		INNER JOIN tb_articulotipo at ON p.tb_articulotipo_id=at.tb_articulotipo_id
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		INNER JOIN tb_marca m ON p.tb_marca_id=m.tb_marca_id
		INNER JOIN tb_presentacion pr ON p.tb_producto_id=pr.tb_producto_id
		INNER JOIN tb_catalogo ct ON pr.tb_presentacion_id=ct.tb_presentacion_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id_equ=u.tb_unidad_id
		WHERE tb_producto_xac=1
		AND tb_articulotipo_sto=1
		AND tb_catalogo_unibas='1'
		AND ct.tb_catalogo_verven=1
		";
		if($nom!="") $sql .= " AND tb_producto_nom LIKE '$nom' ";
		if($codbar!="") $sql .= " AND tb_presentacion_codbar = '$codbar' ";
		if($est!="") $sql .= " AND tb_producto_est = '$est' ";
		$sql.=" ORDER BY tb_unidad_tip, tb_producto_nom ";
		if($limit>0)$sql.=" LIMIT 0,$limit ";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;		  
	}
}